/* ==========
	GLOBAL
============= */

/* Color */
:root {
	--site-primary: var(--primary-color, #1152D4);
    --site-secondary: var(--secondary-color, #1E293B);
    --site-text-color: var(--body-color, #94A3B8);
    --site-text-accent: var(--text-accent, #1152D4);
    --site-base-white: var(--base-white, #fff);
    --site-bg-color: var(--background-color, #101622);
    --site-bg-color-2: var(--background-color-2, rgba(15, 23, 42, 0.5));
    --site-border-color: var(--border-color, #1E293B);

	--transition: all .3s cubic-bezier(.4, 0, .2, 1);

	
}

/* Font */
html {
  font-size: 62.5%; /* = 10px */
}

body {
	font-size: 1.6rem;
	font-weight: 400;
	line-height: 1.5;
	color: var(--site-text-color);
	background-color: var(--site-bg-color);
}

:where(h1, h2, h3, h4, h5, .h1, .h2, .h3, .h4, .h5) {
	font-weight: 700;
	line-height: 1.25;
	color: var(--base-white);
}

h1,
.h1 {
	font-size: 6rem;
}

h2,
.h2 {
	font-size: 3.6rem;
}

h3,
.h3 {
	font-size: 3rem;
}

h4,
.h4 {
	font-size: 2.4rem;
}

h5,
.h5 {
	font-size: 2rem;
}

.brxe-heading:not([class*=" bricks-color-"]):not([class^="bricks-color-"]) {
	color: var(--base-white);
}

.brxe-heading.bricks-type-lead {}

.brxe-heading.bricks-type-hero {}

.text-lg {
	font-size: 1.8rem;
}

.text-sm {
	font-size: 1.4rem;
}

.hidden {
	display: none !important;
}

@media (max-width: 767px) {
	h1,
	.h1 {
		font-size: 4.8rem;
	}

	h2,
	.h2 {
		font-size: 3.2rem;
	}

	h3,
	.h3 {
		font-size: 2.8rem;
	}
}

/* Layout */

.brxe-section {
	padding-inline: clamp(24px, 5vw, 100px);
}

.brxe-container {
	width: 1160px;
}

/* Button */
:where(.brxe-button, .bricks-button) {
	cursor: pointer;
	position: relative;
	display: flex;
	align-items: center;
	justify-content: center;

	font-size: 1.8rem;
	font-weight: 700;
	line-height: 1.5556;
	text-align: center;

	color: var(--base-white);
	background: var(--site-primary);
	padding: 1.3rem 3.1rem;
	border: 1px solid var(--site-primary);
	box-shadow: none;
	border-radius: 8px;
	outline: none !important;
	overflow: hidden;
	transition: var(--transition);
	z-index: 1;
}

:where(.brxe-button, .bricks-button).bricks-background-primary {
    color: var(--site-base-white);
	background: var(--site-primary);
    box-shadow: 0px 10px 15px -3px rgba(17, 82, 212, 0.2), 0px 4px 6px -4px rgba(17, 82, 212, 0.2);
}

:where(.brxe-button, .bricks-button).bricks-background-secondary {
    color: var(--site-base-white);
	background: var(--site-secondary);
	border-color: var(--site-secondary);
}

:where(.brxe-button, .bricks-button).bricks-background-light {
	background: var(--base-white);
	border-color: var(--base-white);
	color: var(--site-primary);
}

:where(.brxe-button, .bricks-button).outline {
	border-color: var(--site-border-color);
	background: transparent;
}

:where(.brxe-button, .bricks-button).outline.bricks-color-primary {
	border-color: rgba(255, 255, 255, 0.3);
	background: transparent;
}

:where(.brxe-button, .bricks-button).outline.bricks-color-secondary {
    border-color: #334155;
} 
 
:where(.brxe-button, .bricks-button) svg path {
	stroke: currentColor;
}

:where(.brxe-button, .bricks-button).sm {
    font-size: 1.4rem;
    padding: 0.7rem 1.9rem;
}
:where(.brxe-button, .bricks-button).md {
    font-size: 1.8rem;
    padding: 1.3rem 3.1rem;
}
:where(.brxe-button, .bricks-button).lg {
    font-size: 1.8rem;
    padding: 1.3rem 3.9rem;
}
/*
:where(.brxe-button, .bricks-button):hover,
:where(.brxe-button, .bricks-button).bricks-background-primary:hover {
	color: var(--site-primary)!important;
	background: var(--site-buttons-primary-bg-hover)!important;
	box-shadow: 3px 5px 0 0 var(--site-buttons-primary-border);

}
:where(.brxe-button, .bricks-button).bricks-background-secondary:hover {
	color: var(--site-primary)!important;
	background: var(--site-buttons-secondary-bg-hover)!important;
	box-shadow: 3px 5px 0 0 var(--site-buttons-secondary-border);
} */

/* 
* Gravity Form 
*/

.gform_wrapper {
    --gf-field-color: var(--site-text-dark);
    --gf-field-border-color: #d1d5db;
    --gf-field-bg-color: #fff;

    --gf-button-color: var(--site-primary);
    --gf-button-bg-color: var(--site-buttons-primary-bg);
    --gf-button-border-color: var(--site-buttons-primary-border);
    --gf-button-hover-color: var(--site-primary);
    --gf-button-hover-bg-color: var(--site-buttons-primary-bg-hover);
    --gf-button-hover-border-color: var(--site-buttons-primary-border);
	
	--gf-ctrl-choice-check-color: var(--site-text-dark);

    --gf-error-color: #c02b0a;
	
	font-size: 16px;
}

/* gfield gap */
.gform_wrapper .gform_body .gform_fields {
    grid-row-gap: 16px;
    grid-column-gap: 16px;
}

.gform_wrapper .gform-field-label:where(:not([class*=gform-field-label--type-])) {
	font-size: 14px;
	margin-bottom: 12px;
	color: var(--site-primary);
}

/* gfield */
.gform_wrapper .gform_body .gform_fields .gfield input:not([type="submit"]):not([type="radio"]):not([type="checkbox"]):not([type="file"]),
.gform_wrapper .gform_body .gform_fields .gfield select,
.gform_wrapper .gform_body .gform_fields .gfield textarea {
    font-size: 16px!important;
    line-height: 1.5em!important;
    font-weight: 400!important;
    color: var(--gf-field-color)!important;

    padding: 9px 12px!important;
    border: 1px solid var(--gf-field-border-color)!important;
    border-radius: 6px!important;
    outline: none!important;
    box-shadow: none!important;
	background: var(--gf-field-bg-color);
}
.gform_wrapper .gform_body .gform_fields .gfield input:not([type="submit"]):not([type="radio"]):not([type="checkbox"]):not([type="file"])::placeholder,
.gform_wrapper .gform_body .gform_fields .gfield textarea::placeholder {
    color: inherit;
    opacity: 1;
}
.gform_wrapper .gform_body .gform_fields .gfield input:not([type="submit"]):not([type="radio"]):not([type="checkbox"]):not([type="file"]),
.gform_wrapper .gform_body .gform_fields .gfield select {
    height: auto;
}
.gform_wrapper .ginput_container_select {
	position: relative;;
}
.gform_wrapper .ginput_container_select::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 12px;
    width: 6px;
    height: 5px;
    clip-path: polygon(0% 0%, 100% 0%, 50% 100%);
    background: var(--site-text-dark);
    z-index: 1;
}
.gform_wrapper .gform_body .gform_fields .gfield textarea,
.gform_wrapper .gform_body .gform_fields .gfield textarea.large,
.gform_wrapper .gform_body .gform_fields .gfield textarea.medium {
    height: 79px;
    min-height: 0;
}

/* button */
.gform_wrapper .gform_footer {
	position: relative;
	margin-top: 10px;
}
.gform_wrapper .gform-page-footer {
	display: flex!important;
	flex-wrap: nowrap!important;
	gap: 16px;
}
.gform_wrapper input[type="button"],
.gform_wrapper .button {
    width: 100%!important;
    font-size: 16px!important;
    font-weight: 700!important;
    line-height: 24px!important;
    letter-spacing: 0!important;
    text-transform: capitalize!important;
    color: var(--gf-button-color)!important;

    padding: 15px 31px!important;
    border: 1px solid var(--gf-button-border-color)!important;
    background: var(--gf-button-bg-color)!important;
    outline: none!important;
	box-shadow: 2px 3px 0 0 var(--gf-button-border-color)!important;
	border-radius: 2rem!important;
	transition: var(--transition)!important;
}
.gform_wrapper input[type="button"]:hover,
.gform_wrapper .button:hover {
    color: var(--gf-button-hover-color)!important;
    background: var(--gf-button-hover-bg-color)!important;
    border-color: var(--gf-button-hover-border-color)!important;
	box-shadow: 3px 5px 0 0 var(--gf-button-border-color)!important;
}

.gform_wrapper input[type="button"].gform_previous_button,
.gform_wrapper .button.gform_previous_button {
    --gf-button-bg-color: var(--site-buttons-secondary-bg);
    --gf-button-border-color: var(--site-buttons-secondary-border);
    --gf-button-hover-bg-color: var(--site-buttons-secondary-bg-hover);
    --gf-button-hover-border-color: var(--site-buttons-secondary-border);
}

.gform_wrapper .gform-loader{
	position: absolute!important;
	top: 16px!important;
	left: auto!important;
	right: 10px!important;
	margin: 0!important;
    z-index: 2;
}

/* Remove */
.gform_wrapper .gform_heading,
.gform_wrapper .gform_validation_errors,
.gform_wrapper .gfield_validation_message {
    display: none!important
}

/* Error */
.gform_wrapper .gform_body .gform_fields .gfield.gfield_error  input:not([type="submit"]):not([type="radio"]):not([type="checkbox"]):not([type="file"]),
.gform_wrapper .gform_body .gform_fields .gfield.gfield_error  select,
.gform_wrapper .gform_body .gform_fields .gfield.gfield_error  textarea {
    border-color: var(--gf-error-color)!important;
}
.gform_wrapper .gform_body .gform_fields .gfield.gfield_error  input:not([type="submit"]):not([type="radio"]):not([type="checkbox"]):not([type="file"])::placeholder,
.gform_wrapper .gform_body .gform_fields .gfield.gfield_error textarea::placeholder {
    color: var(--gf-error-color)!important;
}